Skip to main content
Back to examples
Angular/Quick start
Angular

This example runs from source. Open the repository to clone, build, and run it locally.

Open on GitHub
Angular

Quick start

Minimal Angular project that mounts a Gantt chart with tasks and links, ready to clone and run.

# Angular Gantt Quick-Start

[![dhtmlx.com](https://img.shields.io/badge/made%20by-DHTMLX-blue)](https://dhtmlx.com/)

> Starter project showing how to use [DHTMLX Angular Gantt](https://dhtmlx.com/docs/products/dhtmlxGantt-for-Angular/) in an Angular App.

**Related tutorial**:
[https://docs.dhtmlx.com/gantt/integrations/angular/quick-start/](https://docs.dhtmlx.com/gantt/integrations/angular/quick-start/)

![Demo screenshot](./screenshot.png)


## How to start

### Online

[![Open in GitHub Codespaces](https://github.com/codespaces/badge.svg)](https://codespaces.new/DHTMLX/angular-gantt-quick-start/)

### On the local host

Clone the repo and run

```bash
git clone https://github.com/dhtmlx/angular-gantt-quick-start.git
cd angular-gantt-quick-start
npm install
npm start
```

## Code example

The component allows simple declarative initialization:

```typescript
import { Component } from '@angular/core';
import {
DhxGanttComponent,
type AngularGanttDataConfig,
} from '@dhtmlx/trial-angular-gantt';

import { links, tasks } from './demo-data';

@Component({
selector: 'app-gantt-chart',
standalone: true,
imports: [DhxGanttComponent],
host: { style: 'display:block;height:100%;' },
template: `
<dhx-gantt
style="display:block;height:100%;"
[tasks]="tasks"
[links]="links"
[config]="config"
[data]="dataConfig">
</dhx-gantt>
`,
})
export class GanttChartComponent {
tasks = tasks;
links = links;

config = {
date_format: '%Y-%m-%d %H:%i',
columns: [
{ name: 'text', tree: true, width: '*' },
{ name: 'start_date', label: 'Start', align: 'center' },
{ name: 'duration', label: 'Duration', align: 'center' },
{ name: 'add', width: 44 },
],
};

dataConfig: AngularGanttDataConfig = {
save: (entity, action, item, id) => {
console.log('save', { entity, action, item, id });
},
};
}
```

Check the [Online documentation](https://docs.dhtmlx.com/gantt/integrations/angular/) to find more.

## Project structure

```
src/
app/
gantt-chart.component.ts <- <app-gantt-chart> component
demo-data.ts <- minimal task/link arrays
app.ts <- mounts GanttChartComponent
app.config.ts
styles.css
index.html
```

## Want full-featured examples?

[Start your 30-day trial](https://dhtmlx.com/docs/products/dhtmlxGantt-for-Angular/download.shtml) to download the complete sample pack (auto-scheduling, resource histogram, etc.).

## Related demos

- [angular-gantt-rxjs-starter](https://github.com/DHTMLX/angular-gantt-rxjs-starter) — same Gantt, but wired to an RxJS state service with `BehaviorSubject`, `data.batchSave`, and snapshot-based undo/redo. Step up here when you need state management.

## License

The code in this repository is released under the **MIT** License.

`@dhx/angular-gantt` and `@dhtmlx/trial-angular-gantt` are commercial libraries - use them under a valid license or evaluation agreement.

## Useful links

- [Learn about DHTMLX Angular Gantt](https://dhtmlx.com/docs/products/dhtmlxGantt-for-Angular/)
- [Learn about DHTMLX Gantt](https://dhtmlx.com/docs/products/dhtmlxGantt/)
- [Technical support](https://forum.dhtmlx.com/c/gantt)
- [Online documentation](https://docs.dhtmlx.com/gantt/integrations/angular/)

\n\n\n```\n\nCheck the [Online documentation](https://docs.dhtmlx.com/gantt/integrations/vue/) to find more.\n\n## Project structure\n\n```\nsrc/\n components/\n GanttChart.vue <- component\n demoData.ts <- minimal task/link arrays\n App.vue <- mounts Gantt\n main.ts\n```\n\n\n## License \n\nThe code in this repository is released under the **MIT** License.\n\n`@dhx/vue-gantt` and `@dhtmlx/trial-vue-gantt` are commercial libraries - use them under a valid license or evaluation agreement.\n\n## Useful links\n\n- [Learn about DHTMLX Vue Gantt](https://docs.dhtmlx.com/gantt/integrations/vue/)\n- [Learn about DHTMLX Gantt](https://dhtmlx.com/docs/products/dhtmlxGantt/)\n- [Technical support](https://forum.dhtmlx.com/c/gantt)\n- [Online documentation](https://docs.dhtmlx.com/gantt/)","url":"https://docs.dhtmlx.com/gantt/demos/vue-quick-start/"}
Skip to main content
Back to examples
Vue/Quick start
Vue

This example runs from source. Open the repository to clone, build, and run it locally.

Open on GitHub
Vue

Quick start

Minimal Vite-based Vue project that mounts a Gantt chart with tasks and links, ready to clone and run.

# Vue Gantt Quick-Start

[![dhtmlx.com](https://img.shields.io/badge/made%20by-DHTMLX-blue)](https://dhtmlx.com/)

> Starter project showing how to use [DHTMLX Vue Gantt](https://dhtmlx.com/docs/products/dhtmlxGantt-for-Vuejs/) in a Vue App.

**Related tutorial**:
[https://docs.dhtmlx.com/gantt/integrations/vue/quick-start/](https://docs.dhtmlx.com/gantt/integrations/vue/quick-start/)

![Demo screenshot](./screenshot.png)


## How to start

Clone the repo and run

```bash
git clone https://github.com/dhtmlx/vue-gantt-quick-start.git
cd vue-gantt-quick-start
npm install
npm run start
```

## Code example

The component allows simple declarative initialization:

```vue
<script setup lang="ts">
import { ref } from "vue";
import VueGantt, {
type SerializedLink,
type SerializedTask,
type VueGanttDataConfig
} from "@dhtmlx/trial-vue-gantt";
import "@dhtmlx/trial-vue-gantt/dist/vue-gantt.css";

import { links as initialLinks, tasks as initialTasks } from "../demoData";

const tasks = ref<SerializedTask[]>(initialTasks);
const links = ref<SerializedLink[]>(initialLinks);

const data: VueGanttDataConfig = {
save: (entity, action, item, id) => {
console.log("save", { entity, action, item, id });
}
};
</script>

<template>
<VueGantt :tasks="tasks" :links="links" :data="data" />
</template>
```

Check the [Online documentation](https://docs.dhtmlx.com/gantt/integrations/vue/) to find more.

## Project structure

```
src/
components/
GanttChart.vue <- <GanttChart /> component
demoData.ts <- minimal task/link arrays
App.vue <- mounts Gantt
main.ts
```


## License

The code in this repository is released under the **MIT** License.

`@dhx/vue-gantt` and `@dhtmlx/trial-vue-gantt` are commercial libraries - use them under a valid license or evaluation agreement.

## Useful links

- [Learn about DHTMLX Vue Gantt](https://docs.dhtmlx.com/gantt/integrations/vue/)
- [Learn about DHTMLX Gantt](https://dhtmlx.com/docs/products/dhtmlxGantt/)
- [Technical support](https://forum.dhtmlx.com/c/gantt)
- [Online documentation](https://docs.dhtmlx.com/gantt/)

Skip to main content
Back to examples
React/Quick start
React

This example runs from source. Open the repository to clone, build, and run it locally.

Open on GitHub
React

Quick start

Minimal Vite-based React project that mounts a Gantt chart with tasks and links, ready to clone and run.

# React Gantt Quick-Start

[![dhtmlx.com](https://img.shields.io/badge/made%20by-DHTMLX-blue)](https://dhtmlx.com/)

> Starter project showing how to use [DHTMLX React Gantt](https://dhtmlx.com/docs/products/dhtmlxGantt-for-React/) in a React App.

**Related tutorial**:
[https://docs.dhtmlx.com/gantt/integrations/react/quick-start/](https://docs.dhtmlx.com/gantt/integrations/react/quick-start/)

![Demo screenshot](./screenshot.png)


## How to start

### Online

[![Open in GitHub Codespaces](https://github.com/codespaces/badge.svg)](https://codespaces.new/DHTMLX/react-gantt-quick-start/)

### On the local host

Clone the repo and run

```bash
git clone https://github.com/dhtmlx/react-gantt-quick-start.git
cd react-gantt-quick-start
yarn
yarn start
```

## Code example

The component allows simple declarative initialization:

```tsx
import { useRef } from 'react';
import Gantt, { ReactGanttRef, Task, Link, GanttConfig } from '@dhtmlx/trial-react-gantt';
import "@dhtmlx/trial-react-gantt/dist/react-gantt.css";

export interface GanttProps {
tasks: Task[];
links: Link[];
}

export default function GanttChart({ tasks, links }: GanttProps) {
const ganttRef = useRef<ReactGanttRef>(null);

const config: GanttConfig = {
grid_width: 500,
scale_height: 90,
scales: [
{ unit: 'year', step: 1, date: '%Y' },
{ unit: 'month', step: 1, date: '%M' },
{ unit: 'day', step: 1, date: '%d %M' }
]
};

return (
<Gantt
ref={ganttRef}
tasks={tasks}
links={links}
config={config}
data={{
save: (entity: string, action: string, data: any, id: string|number) => {
console.log(`${entity} - ${action} - ${id}`, data);
}
}}
/>
);
}
```

Check the [Online documentation](https://docs.dhtmlx.com/gantt/integrations/react/) to find more.

## Project structure

```
src/
components/Gantt
Gantt.tsx <- <GanttChart /> component
demoData.ts <- minimal task/link arrays
App.tsx <- mounts Gantt
main.tsx
public/
index.html
```

## Want full-featured examples?

[Start your 30-day trial](https://dhtmlx.com/docs/products/dhtmlxGantt-for-React/download.shtml) to download the complete sample pack (auto-scheduling, resource histogram, Redux integration, etc.).

## License

The code in this repository is released under the **MIT** License.

`@dhx/react-gantt` and `@dhtmlx/trial-react-gantt` are commercial libraries - use them under a valid license or evaluation agreement.

## Useful links


- [Learn about DHTMLX React Gantt](https://dhtmlx.com/docs/products/dhtmlxGantt-for-React/)
- [Learn about DHTMLX Gantt](https://dhtmlx.com/docs/products/dhtmlxGantt/)
- [Technical support](https://forum.dhtmlx.com/c/gantt/react-gantt)
- [Online documentation](https://docs.dhtmlx.com/gantt/integrations/react/)